<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.DistintaFlussiInput" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="DistintaFlussiInput">
        <id name="id" type="java.lang.Integer">
            <column name="ID"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="iddistintaFlusso" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDDistintaFlusso"/>
        </property>
        <property generated="never" lazy="false" name="codiceSocietà" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="CodiceSocietà"/>
        </property>
        <property generated="never" lazy="false" name="dataCreazione" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataCreazione"/>
        </property>
        <property generated="never" lazy="false" name="provenienzaFlusso" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="ProvenienzaFlusso"/>
        </property>
        <property generated="never" lazy="false" name="tipologia" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="Tipologia"/>
        </property>
        <property generated="never" lazy="false" name="tipologiaDbgrid" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="TipologiaDBGRID"/>
        </property>
        <property generated="never" lazy="false" name="userIdcreazione" optimistic-lock="true" type="string" unique="false">
            <column length="10" name="UserIDCreazione"/>
        </property>
        <property generated="never" lazy="false" name="denominazioneUserIdcreazione" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="DenominazioneUserIDCreazione"/>
        </property>
        <property generated="never" lazy="false" name="denominazioneFlusso" optimistic-lock="true" type="string" unique="false">
            <column length="100" name="DenominazioneFlusso"/>
        </property>
        <property generated="never" lazy="false" name="idbackupFlusso" optimistic-lock="true" type="string" unique="false">
            <column length="8" name="IDBackupFlusso"/>
        </property>
        <property generated="never" lazy="false" name="numeroDisposizioni" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="NumeroDisposizioni"/>
        </property>
        <property generated="never" lazy="false" name="importoDisposizioni" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="ImportoDisposizioni"/>
        </property>
        <property generated="never" lazy="false" name="divisa" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa"/>
        </property>
        <property generated="never" lazy="false" name="tipoFlusso" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="TipoFlusso"/>
        </property>
        <property generated="never" lazy="false" name="statoDistinta" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="StatoDistinta"/>
        </property>
        <property generated="never" lazy="false" name="nomeSupportoCbi" optimistic-lock="true" type="string" unique="false">
            <column length="20" name="NomeSupportoCBI"/>
        </property>
        <property generated="never" lazy="false" name="codiceSiaCbi" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="CodiceSiaCBI"/>
        </property>
        <property generated="never" lazy="false" name="dataCreazioneCbi" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="DataCreazioneCBI"/>
        </property>
        <property generated="never" lazy="false" name="flagStampa" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagStampa" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved"/>
        </property>
        <property generated="never" lazy="false" name="massiveLoadStatus" optimistic-lock="true" type="int" unique="false">
            <column name="MassiveLoadStatus" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="abiOrdinante" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="AbiOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="contoPortafoglio" optimistic-lock="true" type="string" unique="false">
            <column length="6" name="ContoPortafoglio"/>
        </property>
        <property generated="never" lazy="false" name="requiresFirmatario" optimistic-lock="true" type="int" unique="false">
            <column name="RequiresFirmatario" not-null="true"/>
        </property>
    </class>
</hibernate-mapping>
